/* DBS Telephony Server (c) 1997-1998 Tycho Softworks.
 * $Id: dial.c 1.1 Sun, 11 Oct 1998 20:20:08 -0400 dyfet $
 *
 * This software is free software; permission is granted to use, modify
 * and redistribute this software as according to the terms of the GNU
 * General Public License as published by the Free Software Foundation;
 * either version 2, as found in the "COPYING" file distributed with this
 * software, or (at your option) any later version published by the
 * Free Software Foundation. 
 * 
 * This software is supplied "AS IS" WITHOUT ANY WARRANTY, EXPRESSED OR
 * IMPLIED; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for further details. 
 */

#include <std/string.h>
#include "dbs.h"

int	dbs_dial(int slot, char *text)
{
	DBSMSG	msg[DBS_DIAL_MSGLEN];
	int	digits = strlen(text);

	if(digits > 16)
		digits = 16;

	dbs_setslot(msg, slot);	
	dbs_setmsglen(msg, sizeof(msg));
	dbs_setmsgtype(msg, DBS_DIAL_MSGTYPE);
	msg[6] = digits;
	memset(msg + 7, 0, 16);
	strncpy(msg + 7, text, digits);
	return dbs_send(msg);
}
