# DBS Telephony Server Copyright (c) 1997-1998 Tycho Softworks.
# $Id: dbs_server.spec 1.8 Sun, 11 Oct 1998 20:20:08 -0400 dyfet $

Summary: Telephony Server for the Panasonic DBS phone system
Name: dbs_server
Version: 0.2.0
Release: 1
Url: http://www.tycho.com/dbs
Source: ftp.tycho.com:/pub/packages/source/dbs_server-%{PACKAGE_VERSION}.tar.gz
Copyright: GPL
Group: Utils/Daemons
BuildRoot: /tmp/dbs-root

%description
The DBS Server is an expairemental server for creating call control and
telephone station manipulation services for the Panasonic DBS telephone
system equipped with an RS-232 API port or card.  This initial release
is intended entirely for compatibility testing.

%prep
%setup
./config --root=$RPM_BUILD_ROOT --prefix=/usr

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/telephony
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/dbs.conf
%doc COPYING README README.keyterm TODO
/etc/rc.d/init.d/dbs
/etc/rc.d/rc3.d/S19dbs
/etc/rc.d/rc4.d/S19dbs
/etc/rc.d/rc5.d/S19dbs
/usr/sbin/dbs_server
/usr/sbin/dbs_poweron
/usr/sbin/dbs_keyterm
/usr/lib/libtp_dbs.so
/usr/lib/libtp_dbs.so.0
/usr/lib/libtp_dbs.so.%{PACKAGE_VERSION}
/usr/include/telephony/dbs.h
/usr/lib/libtp_dbs.a

